## dnsdbq 2.2.1

=== Makefile ===
#
# Copyright (c) 2014-2020 by Farsight Security, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

CURLINCL = `curl-config --cflags` 
JANSINCL = -I/usr/local/include

CURLLIBS = `[ ! -z "$$(curl-config --libs)" ] && curl-config --libs || curl-config --static-libs`
JANSLIBS = -L/usr/local/lib -ljansson

CWARN =-W -Wall -Wextra -Wcast-qual -Wpointer-arith -Wwrite-strings \
	-Wmissing-prototypes  -Wbad-function-cast -Wnested-externs \
	-Wunused -Wshadow -Wmissing-noreturn -Wswitch-enum -Wconversion
# try shipping without any warnings
CWARN   +=-Werror
# warning about bad indentation, only for clang 6.x+
#CWARN   +=-Werror=misleading-indentation

CDEFS = -DWANT_PDNS_DNSDB=1 -DWANT_PDNS_CIRCL=1
CGPROF =
CDEBUG = -g
CFLAGS += $(CGPROF) $(CDEBUG) $(CWARN) $(CDEFS)

TOOL = dnsdbq
TOOL_OBJ = $(TOOL).o ns_ttl.o netio.o pdns.o pdns_circl.o pdns_dnsdb.o \
	sort.o time.o
TOOL_SRC = $(TOOL).c ns_ttl.c netio.c pdns.c pdns_circl.c pdns_dnsdb.c \
	sort.c time.c

all: $(TOOL)

install: all
	rm -f /usr/local/bin/$(TOOL)
	mkdir -p /usr/local/bin
	cp $(TOOL) /usr/local/bin/$(TOOL)
	rm -f /usr/local/share/man/man1/$(TOOL).1
	mkdir -p /usr/local/share/man/man1
	cp $(TOOL).man /usr/local/share/man/man1/$(TOOL).1

clean:
	rm -f $(TOOL)
	rm -f $(TOOL_OBJ)

dnsdbq: $(TOOL_OBJ) Makefile
	$(CC) $(CDEBUG) -o $(TOOL) $(CGPROF) $(TOOL_OBJ) $(CURLLIBS) $(JANSLIBS)

.c.o:
	$(CC) $(CFLAGS) $(CURLINCL) $(JANSINCL) -c $<

$(TOOL_OBJ): Makefile

# BSD only
depend:
	mkdep $(CURLINCL) $(JANSINCL) $(CDEFS) $(TOOL_SRC)

# these were made by mkdep on BSD but are now staticly edited
dnsdbq.o: dnsdbq.c \
  defs.h netio.h \
  pdns.h \
  pdns_dnsdb.h pdns_circl.h sort.h \
  time.h globals.h
ns_ttl.o: ns_ttl.c \
  ns_ttl.h
netio.o: netio.c \
  defs.h netio.h \
  pdns.h \
  globals.h sort.h
pdns.o: pdns.c defs.h \
  netio.h \
  pdns.h \
  time.h \
  globals.h sort.h
pdns_circl.o: pdns_circl.c \
  defs.h \
  pdns.h \
  netio.h \
  pdns_circl.h globals.h sort.h
pdns_dnsdb.o: pdns_dnsdb.c \
  defs.h \
  pdns.h \
  netio.h \
  pdns_dnsdb.h time.h globals.h sort.h
sort.o: sort.c \
  defs.h sort.h pdns.h \
  netio.h \
  globals.h
time.o: time.c \
  defs.h time.h \
  globals.h sort.h pdns.h \
  netio.h \
  ns_ttl.h

=== debian/changelog ===
dnsdbq (2.2.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 29 Jul 2020 09:39:47 +0200

dnsdbq (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch applied by upstream.
  * Add Rules-Requires-Root setting to d/control.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 24 Jul 2020 08:44:29 +0200

dnsdbq (2.1.1-2) unstable; urgency=medium

  * Fix building on non-Linux archs.
  * Use debhelper 13.
  * Fix whitespace in long description.
  * Source upload for testing consideration.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 25 Jun 2020 12:58:19 +0200

dnsdbq (2.1.1-1) unstable; urgency=low

  * Initial release (Closes: #952965)

 -- Sascha Steinbiss <satta@debian.org>  Sun, 03 May 2020 20:36:50 +0200

## dnsdbq 2.3.0

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # warning about bad indentation, only for clang 6.x+
 #CWARN   +=-Werror=misleading-indentation
 
-CDEFS = -DWANT_PDNS_DNSDB=1 -DWANT_PDNS_CIRCL=1
+CDEFS = -DWANT_PDNS_DNSDB=1 -DWANT_PDNS_DNSDB2=1 -DWANT_PDNS_CIRCL=1
 CGPROF =
 CDEBUG = -g
 CFLAGS += $(CGPROF) $(CDEBUG) $(CWARN) $(CDEFS)

=== debian/changelog ===
dnsdbq (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 13 Aug 2020 23:56:24 +0200

=== debian/control ===
Source: dnsdbq
Section: net
Priority: optional
Maintainer: Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcurl4-openssl-dev,
               libjansson-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/dnsdb/dnsdbq
Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git
Vcs-Browser: https://salsa.debian.org/debian/dnsdbq

Package: dnsdbq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DNSDB API Client
 This is a pure C99 program that accesses passive DNS database systems such as:
 .
        * the DNSDB API server at Farsight Security
        * the CIRCL pDNS server at Computer Incident Response Center (LU)
 .
 An API key is required for operation. The command syntax was inspired by a
 Python script called dnsdb_query, but significant departure has occurred,
 largely inspired by a modern understanding of "time fencing" and a desire for
 new features such as CSV output and JSON reprocessing.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-unused-result

%:
	dh $@

=== debian/watch ===
version=3
https://github.com/dnsdb/dnsdbq/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## dnsdbq 2.6.0

=== Makefile ===
--- 
+++ 
@@ -28,16 +28,22 @@
 # warning about bad indentation, only for clang 6.x+
 #CWARN   +=-Werror=misleading-indentation
 
-CDEFS = -DWANT_PDNS_DNSDB=1 -DWANT_PDNS_DNSDB2=1 -DWANT_PDNS_CIRCL=1
+CDEFS = -DWANT_PDNS_DNSDB=1 -DWANT_PDNS_CIRCL=1
 CGPROF =
-CDEBUG = -g
+CDEBUG = -g -O3
 CFLAGS += $(CGPROF) $(CDEBUG) $(CWARN) $(CDEFS)
+INCL= $(CURLINCL) $(JANSINCL)
+# freebsd requires that -lresolv _not_ be used here
+LIBS= $(CURLLIBS) $(JANSLIBS) -lresolv
+#LIBS= $(CURLLIBS) $(JANSLIBS)
 
 TOOL = dnsdbq
-TOOL_OBJ = $(TOOL).o ns_ttl.o netio.o pdns.o pdns_circl.o pdns_dnsdb.o \
-	sort.o time.o
-TOOL_SRC = $(TOOL).c ns_ttl.c netio.c pdns.c pdns_circl.c pdns_dnsdb.c \
-	sort.c time.c
+TOOL_OBJ = $(TOOL).o ns_ttl.o netio.o \
+	pdns.o pdns_circl.o pdns_dnsdb.o \
+	sort.o time.o asinfo.o deduper.o
+TOOL_SRC = $(TOOL).c ns_ttl.c netio.c \
+	pdns.c pdns_circl.c pdns_dnsdb.c \
+	sort.c time.c asinfo.c deduper.c
 
 all: $(TOOL)
 
@@ -54,10 +60,10 @@
 	rm -f $(TOOL_OBJ)
 
 dnsdbq: $(TOOL_OBJ) Makefile
-	$(CC) $(CDEBUG) -o $(TOOL) $(CGPROF) $(TOOL_OBJ) $(CURLLIBS) $(JANSLIBS)
+	$(CC) $(CDEBUG) -o $(TOOL) $(CGPROF) $(TOOL_OBJ) $(LIBS)
 
 .c.o:
-	$(CC) $(CFLAGS) $(CURLINCL) $(JANSINCL) -c $<
+	$(CC) $(CFLAGS) $(INCL) -c $<
 
 $(TOOL_OBJ): Makefile
 
@@ -66,6 +72,9 @@
 	mkdep $(CURLINCL) $(JANSINCL) $(CDEFS) $(TOOL_SRC)
 
 # these were made by mkdep on BSD but are now staticly edited
+deduper.o: deduper.c deduper.h
+asinfo.o: asinfo.c \
+  asinfo.h globals.h defs.h sort.h pdns.h netio.h
 dnsdbq.o: dnsdbq.c \
   defs.h netio.h \
   pdns.h \
@@ -78,6 +87,7 @@
   pdns.h \
   globals.h sort.h
 pdns.o: pdns.c defs.h \
+  asinfo.h \
   netio.h \
   pdns.h \
   time.h \

=== debian/changelog ===
dnsdbq (2.6.0-2ubuntu1) kinetic; urgency=medium

  * cherrypick upstream patch to avoid build failure (LP: #1956639)
    - d/p/see-if-we-can-remove-the-need-for-res_rcode-by-chang.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 27 Apr 2022 09:08:29 +0200

dnsdbq (2.6.0-2) unstable; urgency=medium

  * Fix FTBFS on some archs by patching format string to %zu for size_t.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 17:53:05 +0100

dnsdbq (2.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 02 Nov 2021 14:50:53 +0100

dnsdbq (2.5.5-2) unstable; urgency=medium

  * Upload to unstable post-release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 17 Aug 2021 10:39:34 +0200

dnsdbq (2.5.5-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 13 Jul 2021 13:20:38 +0200

dnsdbq (2.5.4-1) experimental; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Apr 2021 10:20:22 +0200

dnsdbq (2.5.3-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Use watchfile version 4.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 06 Apr 2021 08:34:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dnsdbq
 Section: net
 Priority: optional
-Maintainer: Sascha Steinbiss <satta@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSCB-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libjansson-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/dnsdb/dnsdbq
 Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git

## dnsdbq 2.6.4

=== Makefile ===
--- 
+++ 
@@ -14,11 +14,19 @@
 # limitations under the License.
 #
 
-CURLINCL = `curl-config --cflags` 
-JANSINCL = -I/usr/local/include
+# Base directory for jansson header and libraries
+JANSBASE=/usr/local
+# For macOS on M1, use this instead of the above line:
+#JANSBASE=/opt/homebrew
 
+JANSINCL = -I$(JANSBASE)/include
+
+JANSLIBS = -L$(JANSBASE)/lib -ljansson
+# For almost static builds on macOS, use this instead of the above line:
+#JANSLIBS = $(JANSBASE)/lib/libjansson.a
+
+CURLINCL = `curl-config --cflags`
 CURLLIBS = `[ ! -z "$$(curl-config --libs)" ] && curl-config --libs || curl-config --static-libs`
-JANSLIBS = -L/usr/local/lib -ljansson
 
 CWARN =-W -Wall -Wextra -Wcast-qual -Wpointer-arith -Wwrite-strings \
 	-Wmissing-prototypes  -Wbad-function-cast -Wnested-externs \
@@ -33,17 +41,19 @@
 CDEBUG = -g -O3
 CFLAGS += $(CGPROF) $(CDEBUG) $(CWARN) $(CDEFS)
 INCL= $(CURLINCL) $(JANSINCL)
-# freebsd requires that -lresolv _not_ be used here
 LIBS= $(CURLLIBS) $(JANSLIBS) -lresolv
+# For freebsd, it requires that -lresolv _not_ be used here, use this instead of the above line:
 #LIBS= $(CURLLIBS) $(JANSLIBS)
 
 TOOL = dnsdbq
 TOOL_OBJ = $(TOOL).o ns_ttl.o netio.o \
 	pdns.o pdns_circl.o pdns_dnsdb.o \
-	sort.o time.o asinfo.o deduper.o
+	sort.o time.o asinfo.o deduper.o \
+	tokstr.o
 TOOL_SRC = $(TOOL).c ns_ttl.c netio.c \
 	pdns.c pdns_circl.c pdns_dnsdb.c \
-	sort.c time.c asinfo.c deduper.c
+	sort.c time.c asinfo.c deduper.c \
+	tokstr.c
 
 all: $(TOOL)
 
@@ -77,7 +87,7 @@
   asinfo.h globals.h defs.h sort.h pdns.h netio.h
 dnsdbq.o: dnsdbq.c \
   defs.h netio.h \
-  pdns.h \
+  pdns.h tokstr.h \
   pdns_dnsdb.h pdns_circl.h sort.h \
   time.h globals.h
 ns_ttl.o: ns_ttl.c \
@@ -91,7 +101,7 @@
   netio.h \
   pdns.h \
   time.h \
-  globals.h sort.h
+  globals.h sort.h tokstr.h
 pdns_circl.o: pdns_circl.c \
   defs.h \
   pdns.h \
@@ -111,3 +121,5 @@
   globals.h sort.h pdns.h \
   netio.h \
   ns_ttl.h
+tokstr.o: tokstr.c \
+  tokstr.h

=== debian/changelog ===
dnsdbq (2.6.4-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:47:12 +1100

dnsdbq (2.6.4-2build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:13:32 +0000

dnsdbq (2.6.4-2) unstable; urgency=medium

  * Enable building twice in a row.
    Closes: #1044271
  * Bump Standards-Version.
  * Update copyright dates.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 18 Dec 2023 17:08:09 +0100

dnsdbq (2.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Update copyright dates for debian directory.

 -- Sascha Steinbiss <satta@debian.org>  Thu, 11 Aug 2022 12:29:50 +0200

dnsdbq (2.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 03 Aug 2022 09:30:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSCB-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
+XSBC-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libjansson-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/dnsdb/dnsdbq
 Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 %:
 	dh $@
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f dnsdbq *.o

=== debian/watch ===
version=4
https://github.com/dnsdb/dnsdbq/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## dnsdbq 2.6.7

=== debian/changelog ===
dnsdbq (2.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 20 May 2024 17:09:21 +0200

dnsdbq (2.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 17 May 2024 19:39:59 +0200

dnsdbq (2.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.
  * Update copyright dates.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 04 May 2024 02:18:00 +0200

## dnsdbq 2.6.8

=== debian/changelog ===
dnsdbq (2.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 08 Nov 2024 18:37:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dnsdbq
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sascha Steinbiss <satta@debian.org>
+Maintainer: Sascha Steinbiss <satta@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcurl4-openssl-dev,
                libjansson-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/dnsdb/dnsdbq
 Vcs-Git: https://salsa.debian.org/debian/dnsdbq.git
